ambix_matrix_t Struct Reference

`#include <ambix.h>`

## Public Attributes

uint32_t | rows
uint32_t | cols
float32_t ** | data

## Detailed Description

a 2-dimensional floating point matrix

## Member Data Documentation

## cols

uint32_t ambix_matrix_t::cols

number of columns

## data

float32_t** ambix_matrix_t::data

matrix data (as vector (length: rows) of row-vectors (length: cols))

## rows

uint32_t ambix_matrix_t::rows

number of rows

The documentation for this struct was generated from the following file:

- ambix/ambix.h